add the hyracks connector to startCluster script
git-svn-id: https://hyracks.googlecode.com/svn/branches/fullstack_genomix@2709 123451ca-8445-de46-9d55-352943316053
diff --git a/genomix/src/main/resources/scripts/startCluster.sh b/genomix/src/main/resources/scripts/startCluster.sh
index a0c2063..f3d3505 100755
--- a/genomix/src/main/resources/scripts/startCluster.sh
+++ b/genomix/src/main/resources/scripts/startCluster.sh
@@ -1,3 +1,17 @@
bin/startcc.sh
sleep 5
bin/startAllNCs.sh
+
+. conf/cluster.properties
+# do we need to specify the version somewhere?
+hyrackcmd=`ls ${HYRACKS_HOME}/hyracks-cli/target/hyracks-cli-*-binary-assembly/bin/hyrackscli`
+# find zip file
+appzip=`ls ../genomix-*-binary-assembly.zip`
+
+[ -f $hyrackcmd ] || { echo "Hyracks commandline is missing"; exit -1;}
+[ -f $appzip ] || { echo "Genomix binary-assembly.zip is missing"; exit -1;}
+
+CCHOST_NAME=`cat conf/master`
+
+echo "connect to \"${CCHOST_NAME}:${CC_CLIENTPORT}\"; create application text \"$appzip\";" | $hyrackcmd
+